package com.jay.monitor.data.client;

import com.alibaba.fastjson.JSON;
import com.jay.monitor.data.client.config.ClientMonitorAutoConfiguration;
import com.jay.monitor.data.core.model.serializable.MQDataDTO;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2020/10/23 19:51
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {ClientMonitorAutoConfiguration.class})
//@EnableMonitorData
public class MonitorSendProducerTest {

    @Test
    public void sendMsg() throws Exception {
        String json = "{\"applicationName\":\"dts-server\",\"createDate\":1603960683643,\"dataId\":\"2811698\",\"extMap\":{},\"groupKeyName\":\"INSERT\",\"groupName\":\"brand_app_login_log\",\"ip\":\"192.168.4.244\",\"jsonContent\":\"{\\\"changeFieldList\\\":[\\\"id\\\",\\\"brand_id\\\",\\\"brand_customer_id\\\",\\\"share_sign\\\",\\\"scene\\\",\\\"source\\\",\\\"status\\\",\\\"created\\\"],\\\"databaseName\\\":\\\"marketing_db_prod\\\",\\\"fieldDataMap\\\":{\\\"house_id\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"house_id\\\"},\\\"creator\\\":{\\\"dataType\\\":\\\"java.lang.String\\\",\\\"field\\\":\\\"creator\\\"},\\\"brand_customer_id\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"brand_customer_id\\\",\\\"value\\\":\\\"1512634\\\"},\\\"created\\\":{\\\"dataType\\\":\\\"java.util.Date\\\",\\\"field\\\":\\\"created\\\",\\\"value\\\":\\\"2020-10-28 19:54:50\\\"},\\\"mobile\\\":{\\\"dataType\\\":\\\"java.lang.String\\\",\\\"field\\\":\\\"mobile\\\"},\\\"source\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"source\\\",\\\"value\\\":\\\"3\\\"},\\\"brand_id\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"brand_id\\\",\\\"value\\\":\\\"1\\\"},\\\"scene\\\":{\\\"dataType\\\":\\\"java.lang.String\\\",\\\"field\\\":\\\"scene\\\",\\\"value\\\":\\\"\\\"},\\\"updater\\\":{\\\"dataType\\\":\\\"java.lang.String\\\",\\\"field\\\":\\\"updater\\\"},\\\"share_sign\\\":{\\\"dataType\\\":\\\"java.lang.String\\\",\\\"field\\\":\\\"share_sign\\\",\\\"value\\\":\\\"\\\"},\\\"id\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"id\\\",\\\"value\\\":\\\"2811698\\\"},\\\"updated\\\":{\\\"dataType\\\":\\\"java.util.Date\\\",\\\"field\\\":\\\"updated\\\"},\\\"status\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"status\\\",\\\"value\\\":\\\"1\\\"}},\\\"operation\\\":\\\"INSERT\\\",\\\"sourceTimestamp\\\":1603886089,\\\"tableName\\\":\\\"brand_app_login_log\\\"}\",\"logId\":\"UNKNOWN-c0a804f4-445544-8006\",\"msgId\":\"12312321\",\"partitionName\":\"0\",\"status\":-1,\"topic\":\"uat-mysql-dts\",\"type\":\"MQ\"}";

        MQDataDTO dataDTO = JSON.parseObject(json, MQDataDTO.class);
//        URLDataDTO dataDTO = new URLDataDTO();
//        dataDTO.setApplicationName("abc");
//        dataDTO.setCreateDate(new Date());
//        dataDTO.setIp("1:1:1:");
//        dataDTO.setGroupName("asdfasfas");
//        dataDTO.setDataId("123123");
        MonitorSendProducer.sendMsg(dataDTO);
        System.in.read();
    }
}