package com.jay.monitor.data.core.enums;

/**
 * 各种常量定义
 *
 * @author ： liukx
 * @time ： 2019/10/28 - 15:28
 */
public class MonitorDataConstants {


//    public static final AttributeKey<DomainData> CLIENT_DOMAIN_KEY = AttributeKey.valueOf("clinet.info");

    /**
     * 默认端口
     */
    public static final Integer DEFAULT_PORT = 9420;


    public static String INVOKE_CLIENT_IP = "invoke.client.ip";
    public static String INVOKE_CLIENT_NAME = "invoke.client.name";

    public static final byte M_REGISTER = 0x01;     // Request
    public static final byte M_URL = 0x02;     // Response
    public static final byte M_SQL = 0x03;     // 发布服务
    public static final byte PUBLISH_CANCEL_SERVICE = 0x04;     // 取消发布服务
    public static final byte SUBSCRIBE_SERVICE = 0x05;     // 订阅服务
    public static final byte OFFLINE_NOTICE = 0x06;     // 通知下线
    public static final byte ACK = 0x07;     // Acknowledge
    public static final byte HEARTBEAT = 0x0f;     // Heartbeat
}
